petsc-3.4.2 2013-07-02

# VecInitializePackage

This function initializes everything in the Vec package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to VecCreate() when using static libraries.

### Synopsis

    PetscErrorCode  VecInitializePackage(void)

### Keywords

Vec, initialize, package

### See Also

PetscInitialize()

Level:developer
Location:src/vec/vec/interface/dlregisvec.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages